Index: /LMDZ4/trunk/libf/phylmd/ini_bilKP_ave.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_bilKP_ave.h	(revision 644)
+++ /LMDZ4/trunk/libf/phylmd/ini_bilKP_ave.h	(revision 644)
@@ -0,0 +1,256 @@
+c
+c $Header$
+c
+      IF (ok_journe) THEN
+c
+         zsto = dtime
+         zout = dtime * FLOAT(ecrit_day)
+         typeval=tave
+c
+         idayref = day_ref
+         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
+c
+         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+         DO i = 1, iim
+            zx_lon(i,1) = rlon(i+1)
+            zx_lon(i,jjmp1) = rlon(i+1)
+         ENDDO
+         DO ll=1,klev
+            znivsig(ll)=float(ll)
+         ENDDO
+         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+         write(*,*)'zx_lon = ',zx_lon(:,1)
+         write(*,*)'zx_lat = ',zx_lat(1,:)
+         CALL histbeg("histbilKP_ave", iim,zx_lon(:,1), jjmp1,
+     .                zx_lat(1,:),
+     .                1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+     .                nhori, nid_bilKPave)
+         write(*,*)'Journee ', itau_phy, zjulian
+         CALL histvert(nid_bilKPave, "presnivs",
+     .                "Vertical levels","mb",
+     .                 klev, presnivs/100., nvert)
+c
+c
+c Champs 3D:
+c
+         CALL histdef(nid_bilKPave,"ue",
+     .   "Zonal energy transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"ve",
+     .   "Merid energy transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"uq",
+     .   "Zonal humidity transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"vq",
+     .   "Merid humidity transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+c Champs 3D:
+c
+         CALL histdef(nid_bilKPave,"temp",
+     .   "Air temperature","K",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"ovap",
+     .   "Specific humidity","Kg/Kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"geop",
+     .   "Geopotential height","m",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"vitu",
+     .   "Zonal wind","m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"vitv",
+     .   "Meridional wind","m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "vitw", 
+     .   "Vertical wind", "m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "pres", 
+     .   "Inter-Layer Air pressure",
+     .                "Pa",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "play", 
+     .   "Mean-Layer Air pressure",
+     .                "Pa",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "oliq", 
+     .   "Liquid water content", 
+     .                "kg/kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtdyn", 
+     .   "Dynamics dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dqdyn", 
+     .   "Dynamics dQ", "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtcon", 
+     .   "Convection dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "ducon", 
+     .   "Convection du", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dvcon", 
+     .   "Convection dv", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dqcon",
+     .   "Convection dQ","Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtlsc", 
+     .   "Condensation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dqlsc",
+     .   "Condensation dQ","Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dtvdf",
+     .   "Boundary-layer dT","K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dqvdf", 
+     .   "Boundary-layer dQ", 
+     .               "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dtajs",
+     .   "Ajustement sec dT","K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dqajs",
+     .   "Ajustement sec dQ", 
+     .               "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dteva", 
+     .   "Reevaporation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dqeva",
+     .   "Reevaporation dQ",
+     .                "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+
+c
+         CALL histdef(nid_bilKPave, "dtswr", 
+     .   "SW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtsw0", 
+     .   "SW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtlwr", 
+     .   "LW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dtlw0", 
+     .   "LW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"duvdf",
+     .   "Boundary-layer dU","m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave,"dvvdf",
+     .   "Boundary-layer dV","m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         IF (ok_orodr) THEN
+         IF (ok_orolf) THEN
+         CALL histdef(nid_bilKPave, "duoli",
+     .   "Orography dU", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPave, "dvoli", 
+     .   "Orography dV", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         ENDIF
+         ENDIF
+C
+         CALL histdef(nid_bilKPave, "duphy",
+     .   "Physiq dU","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPave, "dvphy",
+     .   "Physiq dV","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPave, "dtphy",
+     .   "Physiq dT","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPave, "dqphy",
+     .   "Physiq dQ","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPave, "dqlphy",
+     .   "Physiq dQl","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+C
+         CALL histend(nid_bilKPave)
+c
+         ndex2d = 0
+         ndex3d = 0
+c
+      ENDIF ! fin de test sur ok_journe
Index: /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h	(revision 644)
+++ /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h	(revision 644)
@@ -0,0 +1,324 @@
+c
+c $Header$
+c
+      IF (ok_journe) THEN
+c
+         zsto = dtime
+         zout = dtime
+         typeval=tinst
+c
+         idayref = day_ref
+         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
+c
+         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+         DO i = 1, iim
+            zx_lon(i,1) = rlon(i+1)
+            zx_lon(i,jjmp1) = rlon(i+1)
+         ENDDO
+         DO ll=1,klev
+            znivsig(ll)=float(ll)
+         ENDDO
+         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+         write(*,*)'zx_lon = ',zx_lon(:,1)
+         write(*,*)'zx_lat = ',zx_lat(1,:)
+c
+cIM 280405 BEG
+c
+cIM cf. AM 081204 BEG region
+          imin_ins=1
+          imax_ins=iim
+          jmin_ins=1
+          jmax_ins=jjmp1
+          do i=1,iim-1
+             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
+             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
+          enddo
+          do j=1,jjmp1-1
+             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
+             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
+          enddo
+c
+          print*,'On stoke le fichier bilKP instantanne sur ',
+     s   imin_ins,imax_ins,jmin_ins,jmax_ins
+          print*,'On stoke le fichier bilKP instantanne sur ',
+     s   zx_lon(imin_ins,1),zx_lon(imax_ins,1),
+     s   zx_lat(1,jmin_ins),zx_lat(1,jmax_ins)
+cIM cf. AM 081204 END region
+c
+cIM 280405 END
+c
+         IF(1.EQ.0) THEN
+         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), jjmp1,
+     .                zx_lat(1,:),
+     .                1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+     .                nhori, nid_bilKPins)
+         ENDIF
+c
+cIM 280405 BEG
+c
+cIM cf. AM 081204 BEG region
+         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), 
+     .                 jjmp1,zx_lat(1,:),
+     .                 imin_ins,imax_ins-imin_ins+1,
+     .                 jmin_ins,jmax_ins-jmin_ins+1,
+     .                 itau_phy, zjulian, dtime,
+     .                 nhori, nid_bilKPins)
+cIM 081204 END
+c
+cIM 280405 END
+c
+         write(*,*)'Journee ', itau_phy, zjulian
+         CALL histvert(nid_bilKPins, "presnivs",
+     .                "Vertical levels","mb",
+     .                 klev, presnivs/100., nvert)
+c
+c Champs 3D:
+c
+         CALL histdef(nid_bilKPins,"ue",
+     .   "Zonal energy transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"ve",
+     .   "Merid energy transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"uq",
+     .   "Zonal humidity transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"vq",
+     .   "Merid humidity transport","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                typeval, zsto,zout)
+c
+c Champs 3D:
+c
+         CALL histdef(nid_bilKPins, "temp",
+     .   "Air temperature", "K",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"ovap",
+     .   "Specific humidity","Kg/Kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"geop",
+     .   "Geopotential height", "m",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"vitu", 
+     .   "Zonal wind", "m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"vitv", 
+     .   "Meridional wind", "m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "vitw",
+     .   "Vertical wind", "m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "pres",
+     .   "Inter-Layer Air pressure",
+     .                "Pa",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "play",
+     .   "Mean-Layer Air pressure",
+     .                "Pa",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "oliq",
+     .   "Liquid water content", 
+     .                "kg/kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtdyn",
+     .   "Dynamics dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dqdyn",
+     .   "Dynamics dQ", "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtcon",
+     .   "Convection dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "ducon",
+     .   "Convection du", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dvcon",
+     .   "Convection dv", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dqcon",
+     .   "Convection dQ","Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtlsc",
+     .   "Condensation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dqlsc",
+     .   "Condensation dQ","Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dtvdf",
+     .   "Boundary-layer dT","K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dqvdf", 
+     .   "Boundary-layer dQ", 
+     .               "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dtajs",
+     .   "Ajustement sec dT","K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dqajs",
+     .   "Ajustement sec dQ", 
+     .               "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dteva",
+     .   "Reevaporation dT","K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dqeva",
+     .   "Reevaporation dQ",
+     .                "Kg/Kg/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+
+c
+         CALL histdef(nid_bilKPins, "dtswr", 
+     .   "SW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtsw0", 
+     .   "SW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtlwr", 
+     .   "LW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dtlw0", 
+     .   "LW radiation dT", "K/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"duvdf",
+     .   "Boundary-layer dU","m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins,"dvvdf",
+     .   "Boundary-layer dV","m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         IF (ok_orodr) THEN
+         IF (ok_orolf) THEN
+         CALL histdef(nid_bilKPins, "duoli", 
+     .   "Orography dU", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         CALL histdef(nid_bilKPins, "dvoli", 
+     .   "Orography dV", "m/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+c
+         ENDIF
+         ENDIF
+C
+         CALL histdef(nid_bilKPins, "duphy",
+     .   "Physiq dU","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPins, "dvphy",
+     .   "Physiq dV","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPins, "dtphy",
+     .   "Physiq dT","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPins, "dqphy",
+     .   "Physiq dQ","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+C
+         CALL histdef(nid_bilKPins, "dqlphy",
+     .   "Physiq dQl","-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                typeval, zsto,zout)
+cIM 280405 BEG
+c
+c Champs 2D:
+c
+c u850, v850
+c        DO k=1, nlevSTD
+         DO k=1, 12
+c
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c
+         IF(bb2.EQ."850") THEN 
+c
+          CALL histdef(nid_bilKPins, "u"//bb2,
+     .                 "Zonal wind "//bb2//"mb","m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                typeval, zsto,zout)
+c
+          CALL histdef(nid_bilKPins, "v"//bb2,
+     .                 "Meridional wind "//bb2//"mb","m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                typeval, zsto,zout)
+c
+         ENDIF !(bb2.EQ."850") 
+c
+         ENDDO !k=1, 12
+c
+cIM 280405 END
+c
+         CALL histend(nid_bilKPins)
+c
+         ndex2d = 0
+         ndex3d = 0
+c
+      ENDIF ! fin de test sur ok_journe
Index: /LMDZ4/trunk/libf/phylmd/ini_coord_REGDYN.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_coord_REGDYN.h	(revision 644)
+++ /LMDZ4/trunk/libf/phylmd/ini_coord_REGDYN.h	(revision 644)
@@ -0,0 +1,81 @@
+c
+c $Header$
+c
+       nsrf=3
+       DO nreg=1, nbregdyn
+       DO i=1, klon
+
+c       IF (debut) THEN
+         IF(rlon(i).LT.0.) THEN
+           rlonPOS(i)=rlon(i)+360.
+         ELSE
+           rlonPOS(i)=rlon(i)  
+         ENDIF
+c       ENDIF
+
+        pct_ocean(i,nreg)=0
+
+c test si c'est 1 point d'ocean
+        IF(pctsrf(i,nsrf).EQ.1.) THEN
+
+         IF(nreg.EQ.1) THEN
+
+c TROP
+          IF(rlat(i).GE.-30.AND.rlat(i).LE.30.) THEN
+           pct_ocean(i,nreg)=1
+          ENDIF
+
+c PACIFIQUE NORD
+          ELSEIF(nreg.EQ.2) THEN
+           IF(rlat(i).GE.40.AND.rlat(i).LE.60.) THEN
+            IF(rlonPOS(i).GE.160..AND.rlonPOS(i).LE.235.) THEN 
+             pct_ocean(i,nreg)=1
+            ENDIF
+           ENDIF
+c CALIFORNIE ST-CU
+         ELSEIF(nreg.EQ.3) THEN
+          IF(rlonPOS(i).GE.220..AND.rlonPOS(i).LE.250.) THEN
+           IF(rlat(i).GE.15.AND.rlat(i).LE.35.) THEN
+            pct_ocean(i,nreg)=1
+           ENDIF
+          ENDIF
+c HAWAI
+        ELSEIF(nreg.EQ.4) THEN 
+         IF(rlonPOS(i).GE.180..AND.rlonPOS(i).LE.220.) THEN
+          IF(rlat(i).GE.15.AND.rlat(i).LE.35.) THEN
+           pct_ocean(i,nreg)=1
+          ENDIF
+         ENDIF
+c WARM POOL
+        ELSEIF(nreg.EQ.5) THEN 
+         IF(rlonPOS(i).GE.70..AND.rlonPOS(i).LE.150.) THEN
+          IF(rlat(i).GE.-5.AND.rlat(i).LE.20.) THEN
+           pct_ocean(i,nreg)=1
+          ENDIF
+         ENDIF
+        ENDIF !nbregdyn
+c TROP
+c        IF(rlat(i).GE.-30.AND.rlat(i).LE.30.) THEN
+c         pct_ocean(i)=.TRUE.
+c         WRITE(*,*) 'pct_ocean =',i, rlon(i), rlat(i)
+c          ENDIF !lon
+c         ENDIF !lat
+
+        ENDIF !pctsrf
+       ENDDO !klon
+       ENDDO !nbregdyn
+cIM 190504      ENDIF !ok_regdyn
+ 
+cIM somme de toutes les nhistoW BEG
+      IF (debut) THEN
+      DO nreg = 1, nbregdyn
+       DO k = 1, kmaxm1
+        DO l = 1, lmaxm1
+         DO iw = 1, iwmax
+          nhistoWt(k,l,iw,nreg)=0.
+         ENDDO !iw
+        ENDDO !l
+       ENDDO !k
+      ENDDO !nreg
+      ENDIF !(debut) THEN
+cIM 190504 BEG
Index: /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 644)
@@ -7,7 +7,7 @@
 c zout et zsto.
 c dtime est passe par ailleurs a histbeg
-c zsto = frequence de stockage des champs
+c zstophy = frequence de stockage des champs tous les pdt physiques
 c zout = frequence d'ecriture des champs
-         zsto = dtime
+        zstophy = dtime
 c
 c ecriture 8 fois par jour
@@ -15,11 +15,10 @@
 c ecriture toutes les 2h (12 fois par jour)
 c       zout = dtime * 4.
-c ecriture toutes les 1/h (48 fois par jour)
+c ecriture toutes les 1/2 h (48 fois par jour)
 c       zout = dtime
 c
 c ecriture mensuelle
         zout = dtime * ecrit_mth
-c
-        print*,'ISCCP zout,zsto=',zout,zsto
+c       zout = dtime * ecrit_day
 c
 c       PRINT*, 'La frequence de sortie ISCCP est de ', ecrit_isccp
@@ -48,4 +47,6 @@
      .                 lmaxm1, cldtopres, nvert,'down')
 c
+        IF(type_run.EQ."ENSP".OR.type_run.EQ."CLIM") THEN
+c
 c variables a ecrire
 c
@@ -54,5 +55,5 @@
      .                "LMDZ ISCCP cld", "%",
      .                iim, jjmp1,nhori,lmaxm1,1,lmaxm1,nvert,32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
          ENDDO
 c
@@ -60,5 +61,25 @@
      .                "Nb of calls with sunlit ", "%",
      .                iim, jjmp1,nhori,1,1,1,-99,32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+        ELSE IF(type_run.EQ."AMIP".OR.type_run.EQ."CFMI") THEN
+c
+         DO k=1, kmaxm1
+          DO l=1, lmaxm1
+c
+          CALL histdef(nid_isccp, pclev(l)//taulev(k),
+     .                "LMDZ ISCCP cld "//cnameisccp(l,k), "%",
+     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                "ave(X)", zstophy,zout)
+c
+          ENDDO
+         ENDDO
+c
+         CALL histdef(nid_isccp, "nsunlit",
+     .                "Nb of calls with sunlit ", "%",
+     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                "ave(X)", zstophy,zout)
+c
+        ENDIF 
 c
         CALL histend(nid_isccp)
Index: /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 644)
@@ -5,15 +5,9 @@
       IF (ok_regdyn) THEN
 c
-         PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
-c        PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_regdyn
-cIM cf. LF
+cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
+c
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-
-cccIM    CALL ymds2ju(anne_ini, 1, 1, 0.0, zjulian)
-c        CALL ymds2ju(annee_ref, 1, 1, 0.0, zjulian)
-c        zjulian = zjulian + day_ini
 c
-
 c axe vertical pour les differents niveaux des histogrammes
       DO iw=1, iwmax
@@ -28,16 +22,23 @@
      .                 "mb/day",
      .                 iwmax, zx_o500, komega)
-
+c
 c   pour les champs instantannes, il faut mettre la meme valeur pour
-c   zout et tsto.
+c   zout et zsto.
 c   dtime est passe par ailleurs a histbeg
-
+c
 c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
 c        zsto = zout
 c        print*,'zout,zsto=',zout,zsto
+c
+c stockage a chaque pas de temps de la physique
+c
+         zstophy = dtime
+cIM 020904      zstophy = dtime * nbapp_isccp
+
 c ecriture mensuelle
 c
-         zsto = dtime
          zout = dtime * ecrit_mth
+cIM 020904      
+c        zout = dtime * ecrit_day
 c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
 
@@ -48,71 +49,73 @@
          CALL histdef(nid_regdyn, "hw1", "Tropics Histogram ", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh1", "Nb of pixels Tropics Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht1","Total Nb pixels Tropics Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht1",
+     &                "Total Nb pixels Tropics Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c
 c PAN
          CALL histdef(nid_regdyn, "hw2", "North Pacific Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh2", "Nb of pixels North Pacific",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht2","Total Nb pixels North Pacific 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht2",
+     &                "Total Nb pixels North Pacific Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c CAL
          CALL histdef(nid_regdyn, "hw3", "California Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
-         CALL histdef(nid_regdyn, "nh3", "Nb of pixels California 
-     &                Histo",
+         CALL histdef(nid_regdyn, "nh3", 
+     &                "Nb of pixels California Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht3","Total Nb pixels California 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht3",
+     &                "Total Nb pixels California Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c HAW
          CALL histdef(nid_regdyn, "hw4", "Hawai Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh4", "Nb of pixels Hawai Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht4","Total Nb pixels Hawai Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht4",
+     &                "Total Nb pixels Hawai Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c WAP
          CALL histdef(nid_regdyn, "hw5", "Warm Pool Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh5", "Nb of pixels Warm Pool Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht5","Total Nb pixels Warm Pool 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht5",
+     &                "Total Nb pixels Warm Pool Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c
          CALL histend(nid_regdyn)
